logo
MailboxesRemove mailbox

Remove mailbox

Permanently deletes a mailbox. Fails if the mailbox is used in any active campaigns - remove it from campaigns first.

curl -X DELETE "https://api.sendkit.ai/v1/mailboxes/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "message": "Mailbox removed"
  }
}
DELETE
/v1/mailboxes/{mailboxId}
DELETE
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Path Parameters

Responses

successboolean
dataobject